summaryrefslogtreecommitdiffstats
path: root/remote
diff options
context:
space:
mode:
Diffstat (limited to 'remote')
-rwxr-xr-xremote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_export4
1 files changed, 2 insertions, 2 deletions
diff --git a/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_export b/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_export
index fd3e1b0a..66345cd1 100755
--- a/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_export
+++ b/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_export
@@ -9,13 +9,13 @@ mkdir -p "$MOUNTPOINT"
if [[ "$SLX_STAGE4" == dnbd3* ]]; then
# dnbd3 it is
- [ -z "${SLX_DNBD3_SERVERS}" ] && { echo "SLX_DNBD3_SERVERS empty or not set in /opt/openslx/config." && exit 1; }
+ [ -z "${SLX_DNBD3_SERVERS}${SLX_DNBD3_PRIO_SERVERS}" ] && { echo "SLX_DNBD3(_PRIO)_SERVERS empty or not set in /opt/openslx/config." && exit 1; }
# Randomize list
SERVERS=$(for SERVER in $SLX_DNBD3_SERVERS; do echo "$RANDOM $SERVER"; done | sort -u | sed -r 's/^[0-9]+ //')
IMAGE=$(echo $SLX_STAGE4 | awk '{printf $2}')
[ -e /var/run/dnbd3.socket ] || sleep 2 # Ugly, service should only start when dnbd3 daemon is up and running
RET=1337
- for SRV in $SERVERS; do
+ for SRV in $SLX_DNBD3_PRIO_SERVERS $SERVERS; do
echo "Requesting $IMAGE from $SRV"
dnbd3=$(dnbd3-client -h "$SRV" -i "$IMAGE" -r 0)
RET=$?